## ros-kinetic-moveit-chomp-optimizer-adapter 0.9.18

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(moveit_chomp_optimizer_adapter)

add_compile_options(-std=c++14)

find_package(catkin REQUIRED COMPONENTS
  moveit_core
  chomp_motion_planner
  pluginlib
  tf
  )

catkin_package()

include_directories(${catkin_INCLUDE_DIRS})

add_library(${PROJECT_NAME} src/chomp_optimizer_adapter.cpp)
set_target_properties(${PROJECT_NAME} PROPERTIES VERSION ${${PROJECT_NAME}_VERSION})
target_link_libraries(${PROJECT_NAME} ${catkin_LIBRARIES})

install(FILES chomp_optimizer_adapter_plugin_description.xml
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

install(TARGETS ${PROJECT_NAME}
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

=== debian/changelog ===
ros-kinetic-moveit-chomp-optimizer-adapter (0.9.18-1xenial) xenial; urgency=high

  * [fix] Add missing tf dependency in chomp packages
  * Contributors: Robert Haschke

 -- Raghavender Sahdev <raghavendersahdev@gmail.com>  Thu, 23 Jan 2020 23:00:00 -0000

ros-kinetic-moveit-chomp-optimizer-adapter (0.9.17-1xenial) xenial; urgency=high



 -- Raghavender Sahdev <raghavendersahdev@gmail.com>  Mon, 08 Jul 2019 22:00:00 -0000

ros-kinetic-moveit-chomp-optimizer-adapter (0.9.16-1xenial) xenial; urgency=high

  * [maintanance] Cleanup Chomp packages (#1282 <https://github.com/ros-planning/moveit/issues/1282>)
    * Rename default_planner_request_adapters/CHOMPOptimizerAdapter -> chomp/OptimizerAdapter
    * Move collision_distance_field to moveit_core
    * Cleanup chomp folder structure
  * Contributors: Michael Görner, Robert Haschke

 -- Raghavender Sahdev <raghavendersahdev@gmail.com>  Fri, 28 Jun 2019 22:00:00 -0000

=== debian/control ===
Source: ros-kinetic-moveit-chomp-optimizer-adapter
Section: misc
Priority: optional
Maintainer: Raghavender Sahdev <raghavendersahdev@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin, ros-kinetic-chomp-motion-planner, ros-kinetic-moveit-core, ros-kinetic-pluginlib (>= 1.11.2), ros-kinetic-tf
Homepage: 
Standards-Version: 3.9.2

Package: ros-kinetic-moveit-chomp-optimizer-adapter
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-chomp-motion-planner, ros-kinetic-moveit-core, ros-kinetic-pluginlib (>= 1.11.2), ros-kinetic-tf
Description: MoveIt planning request adapter utilizing chomp for solution optimization

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-moveit-chomp-optimizer-adapter//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
